Subject: [payload] VP8 payload's definition of temporal layers

From: Jonathan Lennox <[email-masked]>
Date: Tue, 14 Jul 2015 15:08:20 +0000

In the course of working on draft-ietf-avtext-lrr, and also following up on the VP8 payload spec’s GenArt review, I’ve come to realize that the VP8 payload spec is actually pretty vague about what a “temporal layer” is.

I understand that there’s an interest in not defining how to set up the reference frames to achieve temporal scalability, but I think there need to be normative promises about what semantics a temporal layer achieves.

In particular, I think it would be very helpful if the spec defined whether VP8 temporal layers were always temporally nested or not.  (See draft-ietf-avtext-lrr for the definition of temporal nesting, if you haven’t followed that work.)  I would be inclined to say they should be, in the interest of making implementations simpler, and this should be part of the VP8 spec’s definition of temporal layers.